function [C,Int,Es,Ds]=CalulateFastFading(c0,int0,es0,ds0)

global numfrec numTxSU numSensors numTxPU

C=zeros(numfrec,numTxSU);
Int=zeros(numfrec,numTxPU);
Ds=zeros(numSensors,numTxSU,numfrec);
Es=zeros(numSensors,numTxPU,numfrec);


%.^2 is because the rayleigh variables are amplitude, and we work with
%power

for i=1:numfrec

%----Lineal-----
c1=10.^(c0(i,:)/10);
int1=10.^(int0(i,:)/10);
es1=10.^(es0(:,:,i)/10);
ds1=10.^(ds0(:,:,i)/10);


c2=(Rayleigh(size(c1)).^2.*c1);
int2=(Rayleigh(size(int1)).^2.*int1);
es2=(Rayleigh(size(es1)).^2.*es1);
ds2=(Rayleigh(size(ds1)).^2.*ds1);


%------ dB's -------
C(i,:)=10*log10(c2);
Int(i,:)=10*log10(int2);
Es(:,:,i)=10*log10(es2);
Ds(:,:,i)=10*log10(ds2);

end
