function [C,Int,Es,Ds]=CreateEnviroment(Pb,Ps,scale,hb,hm,sigmaS)

global numTxPU numRxPU numTxSU numRxSU numSensors
global celularBase Rbase celularSens Rsens numfrec
          


%----------- Place the Elements ----------------------
        %Place the Base Station
        numbase=numTxPU+numRxPU+numTxSU+numRxSU;
        B=GenerateBaseStation(Pb,numbase,scale,celularBase,Rbase);
        
        %Place the Sensors
        S1=[B(1,numTxPU+1)+(rand/100);B(2,numTxPU+1)+(rand/100)];    
        
        S=GenerateSensorPosition(Ps,S1,scale,celularSens,Rsens);
        
        representation(B,S,numTxPU,numRxPU,numTxSU,numRxSU);   
       
  %----------- Calculate the distances ----------------------     
        
        M=CalculateDistance(B,B);

            c=M(numTxPU+numRxPU+1:numTxPU+numRxPU+numTxSU,numTxPU+numRxPU+numTxSU+1:numTxPU+numRxPU+numTxSU+numRxSU);
            int=M(1:numTxPU,numTxPU+numRxPU+numTxSU+1:numTxPU+numRxPU+numTxSU+numRxSU);              

        %sensor's paths between TxP y TxS
             
        M=CalculateDistance(S,B); 
        
            es=M(1:numTxPU,1:numSensors);
            ds=M(numTxPU+numRxPU+1:numTxPU+numRxPU+numTxSU,1:numSensors);     
       
        
 %------------ Calculate fixed loses ---------------------------------------
      
 C=zeros(numfrec,numTxSU);
 Int=zeros(numfrec,numTxPU);
 Es=zeros(numSensors,numTxPU,numfrec);
 Ds=zeros(numSensors,numTxSU,numfrec);
        
  C1=CalulateFixedLosses(c',hb,hm,sigmaS);
  Int1=CalulateFixedLosses(int',hb,hm,sigmaS);
  Es1=CalulateFixedLosses(es',hb,hm,sigmaS);   
  Ds1=CalulateFixedLosses(ds',hb,hm,sigmaS); 
 
 for i=1:numfrec
      C(i,:)=C1;
      Int(i,:)=Int1;
      Es(:,:,i)=Es1;   
      Ds(:,:,i)=Ds1;
 end     
 %--------------------------------------------------------------------------     