function [p,X,posTx,Popt,q,r]=FunsionCenter(X0,Xav,Xmin,BP,SP,qQ,q1,SNR,Ds) 

global numTxSU Pmax numfrec numbits controlqueue bits


%lineal
ds=10.^((-1*Ds)/10); 


%--------- UPDATING INTEFERENCE QUEUE--------

I=BP-SP;
I=I';
X=interferqueue(X0,Xav,Xmin,I);


%--------- CONTROL PROCESSING --------------


V=controlqueue*bits;
q0=zeros(1,numTxSU);


for i=0:numTxSU-1

a=i*numbits+1;
b=(i*numbits+1)+numbits-1;
qaux2=qQ(a:b);
q0(i+1)=data_queue_unquant(qaux2,numbits,V);

end


    %----- UPDATING BEST TX USER-------------
     [posTx,r]=first_transmitter(X,q0,SNR,ds);
     V=1e24;
     %V=1;
     Popt=zeros(1,numfrec);
     
     for i=1:numfrec
        potaux=(q0(posTx(i))/(V*(X(i,:)*ds(:,posTx(i),i)))-(1/SNR(i,posTx(i))));
        
       if potaux>=Pmax                   
           Popt(i)=Pmax;
       elseif potaux<=1e-50
           Popt(i)=1e-50;
       else
           Popt(i)=potaux;
       end                
        
     end
     
%--------- POWER ALLOCATION ------------

p=zeros(numfrec,numTxSU);

for i=1:numfrec
    
    
    aux=1e-50*ones(1,numTxSU);
    Palloc=min(Pmax,Popt(i));
    aux(posTx(i))=Palloc;
    
    p(i,:)=aux;

end
     


%--------- UPDATE DATAQUEUE ----------------   
 q=dataqueue2(q1,r,0,posTx);    
 

 



