function B=GenerateSensorPosition(Ps,P0,scale,celular,R)

global  numSensors

%P is a vector with the static positions
%numbase is the number of base stations
%if P is equal to 0, it means that all base station positions are random

tam=size(Ps);

if celular==0
    
    if tam(2)==0
       
        B=CreatCelular(P0,R,numSensors);
        
    elseif tam(2)==numSensors
        B=Ps; %all base station positions are fixed
    else
        bases=numSensors-tam(2); %number of stations that have to be random
        Rand=GeneratePosition(scale,bases);
        B=[P Rand];
    end
    
elseif celular==1
    
        B=CelularPosition(P0,R,numSensors);
else
    error('Incorrect value of celular')
end

   