function X=interferqueue(X0,Xav,Xmin,I)
%Inputs: Xav average interference, Xmin control max power allocated, z sensor measure 
%X0 is the previos interference queue value
%Outputs: X is the new interference queue value

global numSensors

aux=X0;

for i=1:numSensors
    aux(i)= max(X0(i)-Xav,0)+I(i)';
    
    if aux(i)<Xmin;
    aux(i)=Xmin;
    end
end


X=aux;