
function B=CelularPosition(P0,R,numbase)

%R means coverage cell
%numbase means the number of bases

 
P=zeros(2,numbase);
P(:,1)=P0;

r=sqrt(3)*R;

j=1;
Pref=[P(1,j);P(2,j)];
i=0;
cont=1;

while cont<numbase
     
    if i<=5
        x=round((r*cos((pi/6)+i*(pi/3)))*1000)/1000;
        y=round((r*sin((pi/6)+i*(pi/3)))*1000)/1000;
        i=i+1;    
        Paux=[Pref(1)+x;Pref(2)+y];
        
        %Check-point if it exists
        if (check_point(P,Paux)==0)
            cont=cont+1;
            P(1,cont)=Paux(1);
            P(2,cont)=Paux(2);
        end
     
    elseif i>5
        i=0;
        j=j+1;
        Pref=[P(1,j);P(2,j)]; %Change reference point            
    end    
end
B=P;


