function F=fastfading(tam,K,model,mode)

% Variables:

% numbase : Number of base stations
% K :  Rice Factor
% mu: It's the shape factor of nakagami fading

if(model==1)
    y=Rayleigh(tam);
elseif(model==2)
    y=Rice(tam,K,mode);
else
    error('Model is not valid');
end

for i=1:tam(2)
    for j=i:tam(2)
        if(j==i)
            y(j,i)=0;    
        elseif (j>i)
            y(i,j)=y(j,i);
        end
    end    
end
F=y; 
