function [posTx,r]=first_transmitter(X,q,SNR,ds)


global numTxSU numfrec Pmax


 r=zeros(numfrec,numTxSU);
 posTx=zeros(1,numfrec);
 user=ones(1,numTxSU);
 
for j=1:numfrec
    
    %We can not select the same user for different frequencies
    J=zeros(1,numTxSU); 
    i=1;
        while i<=numTxSU        

            if user(i)==0 %tenemos que ver que no lo hemos seleccionado ya
                J(i)=-1;
                i=i+1;
                
            else
               V=1e24;
              
               %V=1;
               potaux=((q(i)/(V*(X(j,:)*ds(:,i,j))))-(1/SNR(j,i)));
               
               if potaux>=Pmax                   
                   pk=Pmax;
               elseif potaux<=1e-50
                   pk=1e-50;
               else
                   pk=potaux;
               end
                
               
               r(j,i)=log2(1+pk*SNR(j,i));     
               J(i)=(q(i)*r(i))-(V*(X(j,:)*ds(:,i,j))*pk);

               i=i+1;
            end

        end

        [y,posTx0]=max(J);
        posTx(j)=posTx0;         
        user(posTx0)=0;    
end
