function L=pathloss(distance,frecuency,hb,hm,model)

%Distance is in kilometers
%Frecuency is in MegaHertzs
%Model is defined as: 1- Free space loss
%                     2- Plane earth loss

if(model==1)
    x=freespaceloss(distance,frecuency); 
elseif(model==2)
    x=planeearthloss(distance,hb,hm);
else
    error('Model is not valid');
end

tam=size(x);

for i=1:tam(2)
    
    for j=1:tam(2)
    
        if (i==j)
            
            x(i,j)=0;
        end
    end
end


L=x;
